## genres-1.0.2.tar.bz2

=== Makefile ===
# $Log: Makefile,v $
# Revision 1.14  2007/01/16 11:24:46  khlut
# support for OpenOffice.org
#
# Revision 1.13  2007/01/11 23:17:57  khlut
# small fixes for debian package
#
# Revision 1.12  2006/08/23 20:27:52  khlut
# use display from ImageMagick to show images
# autoclose mode for mozilla streams
#
# Revision 1.11  2006/08/10 21:22:38  khlut
# Make for source archive
#
# Revision 1.10  2006/04/24 20:00:20  khlut
# baze support for mozilla streams
#
# Revision 1.9  2006/04/09 19:08:12  khlut
# plugin config files ~/.mozilla/genres/genres.conf or /etc/genres.conf are supported
# new config parameter "debuglevel" (now is only two debug levels)
# javascript control for debug level is temporary switched off
# string analyse is reordered
#
# Revision 1.8  2006/03/26 10:32:46  khlut
# added support for audio mime types
# bug fixed in makefile local-install rule
#
# Revision 1.7  2006/03/24 20:07:55  khlut
# new mime types added, tuning for slow internet
#
# Revision 1.6  2006/03/19 20:14:31  khlut
# Release number substitution automated
#
# Revision 1.5  2006/02/26 10:25:29  khlut
# mime-type application/x-elphel-ogm added
#
# Revision 1.4  2006/02/26 09:42:26  khlut
# added -fPIC flag for relocatable code, which need for some architectures
#
# Revision 1.3  2005/11/08 21:29:54  khlut
# issues with make of debian package fixed
#
# Revision 1.2  2005/11/04 19:31:40  khlut
# mozilla-conf path autodetection
#
# Revision 1.1.1.1  2005/11/04 09:07:01  khlut
# Release 0.7
# First CVS submition
# Many bugs were fixed
# All source files edited to conform to GPL (copyright and license notices were added)
# GenReS was moved to savannah.nongnu.org
#
RELEASE=$(shell awk -F '[()]' '/\(.*\)/ { print $$2; exit; }' <debian/changelog)
PATH:=${PATH}:/usr/local/mozilla/bin:/usr/lib/mozilla/bin:/opt/mozilla/bin
CFLAGS= -Wall -Os -DXP_UNIX -DMOZ_X11 -DXTHREADS ` mozilla-config --cflags xpcom` -fPIC -DRELEASE="\"${RELEASE}\""
OBJ=main_thread.o observer_thread.o threadqueue.o slavesdir.o storage.o settings.o
INSTALL=install -Dp -g root -o root
LIBPREFIX=$(DESTDIR)/usr/lib
ifdef DESTDIR
MOZILLAD=$(LIBPREFIX)/mozilla
FIREFOXD=$(LIBPREFIX)/mozilla-firefox
LNMF=ln -sf ../../mozilla/plugins/genres.so $(FIREFOXD)/plugins/genres.so
else
MOZILLAD=$(shell mozilla --help | head -1 | sed -e 's/[^ ]\+ //' -e 's|/[^/ ]\+ .*||')
FIREFOXD=$(shell firefox --help | head -1 | sed -e 's/[^ ]\+ //' -e 's|/[^/ ]\+ .*||')
LNMF=ln -sf $(MOZILLAD)/plugins/genres.so $(FIREFOXD)/plugins/genres.so
endif
ALLFILES=$(shell sh ./allfiles.sh)

CXXFLAGS=${CFLAGS}

all: genres.so

genres.so : $(OBJ)
	$(CC) -shared -o $@ $^ $(CFLAGS)

local-install: genres.so
	mkdir -p ~/.mozilla/plugins/
	for i in `cat {mplayer,display,ooffice}-mime-types | sed -e 's!\([^ ]*\)/[^ ]*!\1!g' -e 's! !\n!g' | sort | uniq` ; do \
	mkdir -p ~/.mozilla/genres/slaves/$$i ; done	
	cp -dpf genres.so ~/.mozilla/plugins/
	cp -dpf config.pl ~/.mozilla/genres/
	cp -dpf slaves/video/mplayer.pl ~/.mozilla/genres/
	cp -dpf slaves/image/display.pl ~/.mozilla/genres/
	cp -dpf oo.py ~/.mozilla/genres/
	cp -dpf slaves/application/ooffice.py ~/.mozilla//genres/
	for s in mplayer.pl display.pl ooffice.py ; do \
	for i in `cat $${s%.*}-mime-types` ; do \
	ln -sf ../../$$s ~/.mozilla/genres/slaves/$$i ; done ; done



install: genres.so mplayer-mime-types
	for i in `cat {mplayer,display,ooffice}-mime-types | sed -e 's!\([^ ]*\)/[^ ]*!\1!g' -e 's! !\n!g' | sort | uniq` ; do \
	mkdir -p $(LIBPREFIX)/genres/slaves/$$i ; done
	test -z "$(MOZILLAD)" || $(INSTALL) genres.so $(MOZILLAD)/plugins/genres.so
	test -z "$(FIREFOXD)" || $(INSTALL) -d $(FIREFOXD)/plugins
	test -z "$(FIREFOXD)" -o -z "$(MOZILLAD)" || $(LNMF)
	test -z "$(FIREFOXD)" -o ! -z "$(MOZILLAD)"|| $(INSTALL) genres.so $(FIREFOXD)/plugins/genres.so
	$(INSTALL) -m 0644 config.pl $(LIBPREFIX)/genres/config.pl
	$(INSTALL) -m 0755 slaves/video/mplayer.pl $(LIBPREFIX)/genres/mplayer.pl
	$(INSTALL) -m 0755 slaves/image/display.pl $(LIBPREFIX)/genres/display.pl
	$(INSTALL) -m 0644 oo.py $(LIBPREFIX)/genres/oo.py
	$(INSTALL) -m 0755 slaves/application/ooffice.py $(LIBPREFIX)/genres/ooffice.py
	for s in mplayer.pl display.pl ooffice.py ; do \
	for i in `cat $${s%.*}-mime-types` ; do \
	ln -sf ../../$$s $(LIBPREFIX)/genres/slaves/$$i ; done ; done

clean:
	rm -f *.o genres.so

tar: genres-$(RELEASE).tar.bz2

genres-$(RELEASE).tar.bz2: $(ALLFILES)
	rm -rf genres-$(RELEASE)
	mkdir genres-$(RELEASE)
	cp -val --parents $^ genres-$(RELEASE)/
	tar -cjf $@ genres-$(RELEASE)/
	rm -rf genres-$(RELEASE)

${OBJ}: genres.h

=== debian/changelog ===
genres (1.0.2) unstable; urgency=low

  * Base support for OpenOffice documents (without javascript object)

 -- Sergey Y. Khlutchin (Khlut) <Sergey.Khlutchin@gmail.com>  Tue, 16 Jan 2007 15:27:36 +0400

genres (1.0.1) unstable; urgency=low

  * Fixed debian package errors&warnings from lintian

 -- Sergey Y. Khlutchin (Khlut) <Sergey.Khlutchin@gmail.com>  Sun,  8 Oct 2006 23:07:33 +0500

genres (1.0.0) unstable; urgency=low

  * Printing. For images now.

 -- Sergey Y. Khlutchin (Khlut) <Sergey.Khlutchin@gmail.com>  Thu, 21 Sep 2006 23:13:35 +0500

genres (0.9.7) unstable; urgency=low

  * added javascript calls from the control scripts
  * added some compatibility with Apple QuickTime plugin by js functions as described at:
    http://developer.apple.com/documentation/QuickTime/Conceptual/QTScripting_JavaScript/bQTScripting_JavaScri_Document/chapter_1000_section_5.html
    are implemented: Play, Stop, Rewind, GetURL, SetURL
  * small changes in mozilla stream handling
  * relative seeking with filepos="+/-seconds";

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Tue, 19 Sep 2006 14:12:54 +0500

genres (0.9.6) unstable; urgency=low

  * use frame delay in ElphelOgm (only for rtp, framedelay=n)
  * save to a set of jpeg files using ElphelOgm -r (only for rtp, saveformat=jpeg)

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Wed, 13 Sep 2006 21:44:12 +0500

genres (0.9.5) unstable; urgency=low

  * a bug fixed: turning image on 180 degree by default

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Fri, 25 Aug 2006 23:04:24 +0500

genres (0.9.4) unstable; urgency=low

  * bug fixed in mplayer.pl when url begins with slash
  * autoclose mode for mozilla streams
  * use the ImageMagick "display" utility to show images
  * rotation & mirroring for images

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Thu, 24 Aug 2006 01:02:17 +0500

genres (0.9.3) unstable; urgency=low

  * rotate, miroor and flip parameters are implemented for simple transformation of the video
    using mplayer filters, rotation is possible to 90, 180 and 270 degree clockwise

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Thu, 10 Aug 2006 13:37:30 +0500

genres (0.9.2) unstable; urgency=low

  * background color for the object can be selected in the config file to black, white or mozilla default;
    see doc/genres.conf
  * added documentation to the package: doc/genres.conf, README.eo.html

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 14 May 2006 01:22:16 +0500

genres (0.9.1) unstable; urgency=low

  * file descriptor leak fixed

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Wed, 10 May 2006 14:32:06 +0500

genres (0.9.0) unstable; urgency=low

  * string analyse in the plugin reordered
  * plugin config files ~/.mozilla/genres/genres.conf or /etc/genres.conf are supported
  * new config parameter "debuglevel" (now is only two debug levels)
    javascript control for debug level is temporary disabled
  * support for mozilla streams and cache (for src="http|https|ftp...")
  * new config parameter "mozillastreams"
  * pass config parameters to environment variables "GENRES_DEBUGLEVEL" and "GENRES_MOZILLA_STREAMS"
  * add empty printing function to avoid crash on print.

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Thu, 27 Apr 2006 01:29:23 +0500

genres (0.8.11) unstable; urgency=low

  * added marker for end of startup parameters ".\n"
    to prevent player autostart before all parameters accepted by perl script
  * a bug fixed : run=0; run=1 sequence ceased to work
  * framestep, filepos can be seted in tag parameters

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 09 Apr 2006 00:46:41 +0500

genres (0.8.10) unstable; urgency=low

  * support for "autostart" property - start playing when src changed
  * a bug were fixed with dynamic relative url

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Wed, 29 Mar 2006 00:54:59 +0500

genres (0.8.9) unstable; urgency=low

  * Timeout and mplayer cache is depended of type of url
  * New mime types were added for video and audio supported by mplayer (grabbed from Plugger)
  * Cache filling progress bar were added 

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 26 Mar 2006 15:27:55 +0500

genres (0.8.8) unstable; urgency=low

  * Compatibility with Firefox/1.5.0.1
  * Some null pointer dereferences prevented

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Thu, 23 Mar 2006 00:56:54 +0400

genres (0.8.7) unstable; urgency=low

  * debug output cleanup
  * dependency cleanup
  * Release number substitution automated
  * ElphelOgm 0.9.5 interactive mode supported

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 19 Mar 2006 23:18:20 +0400

genres (0.8.6) unstable; urgency=low

  * Mime type application/x-elphel-ogm is added for rtp receiving with ElphelOgm.
  * Some checks added in queue code.

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Wed, 15 Mar 2006 23:21:15 +0400

genres (0.8.5) unstable; urgency=low

  * New control commands: filepos & framestep
  * Some checks and flags in compilation

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Sun, 26 Feb 2006 13:45:06 +0400

genres (0.8.4) unstable; urgency=low

  * Support for frame skiping with ElphelOgm only for rtp url
  * Added run=0 message when user cancel file selection for recording

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Tue, 21 Feb 2006 20:12:53 +0400

genres (0.8.3) unstable; urgency=low

  * Support for FireFox 1.5x
  * Support for javascript objects created with document.createElement('object')
    (it is not supported by firefox 1.0.7 or older).
  * Add control for debug output

 -- Sergey Khlutchin <Sergey.Khlutchin@gmail.com>  Mon, 13 Feb 2006 20:18:36 +0400

genres (0.8.2) unstable; urgency=low

  * A bug with lossing of property values when slave is restarted is fixed again :-)
  * Support for multicast rtp/mjpeg view&record with use of ElphelOgm tool


=== debian/control ===
Source: genres
Section: web
Priority: optional
Maintainer: Sergey Y. Khlutchin (Khlut) <Sergey.Khlutchin@gmail.com>
Build-Depends: debhelper (>= 4.0.0), mozilla-dev (>=1.7.5)
Standards-Version: 3.6.1

Package: genres
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libgtk2-perl, mozilla-browser(>=1.7.5) | mozilla-firefox(>=1.0)
Recommends: imagemagick, mplayer, python, python-uno
Suggests: elphel-ogm(>=0.9.9)
Description: Generic reconfigurable scriptable plugin for Mozilla/Firefox
 GenReS is a generic reconfigurable scriptable plugin for Mozilla/Firefox.
 It allows to use external programs for EMBED or OBJECT HTML tags.
 The plugin is supplied with a Perl and Python scripts for embedding OpenOffice,
 imagemagick display, mplayer and mencoder in a browser and controlling it with
 Javascript to display OpenOffice documents, static images, watch video and
 to record it to set of files. It is possible to scale and rotate images and
 video, flip vertically and horizontally. For audio/video files is possible also
 pause/start, step-by-step view, seeking and recording using Javascript.

=== debian/rules ===
#!/usr/bin/make -f
# $Log: rules,v $
# Revision 1.3  2006/08/10 21:29:17  khlut
# more good operations with docs
#
# Revision 1.2  2005/11/08 21:29:54  khlut
# issues with make of debian package fixed
#
# Revision 1.1.1.1  2005/11/04 09:07:03  khlut
# Release 0.7
# First CVS submition
# Many bugs were fixed
# All source files edited to conform to GPL (copyright and license notices were added)
# GenReS was moved to savannah.nongnu.org
#
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/genres.sgml > genres.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/genres.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/genres


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs -XCVS
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	-rm debian/genres/usr/share/doc/genres/example/m021_300_1_70.ogg
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
